curl --request GET \
--url https://api.synctera.com/v2/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v2/payments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"payments": [
{
"creation_time": "2024-01-15T10:30:00Z",
"description": "Payment",
"effective_date": "2024-01-25",
"id": "2d0f7601-ecc6-48b4-b82f-5d64fa84628b",
"last_updated_time": "2024-01-15T10:30:00Z",
"lending_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"payment_configs": {
"ach": {
"external_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"is_same_day": true,
"sec_code": "WEB"
},
"internal_transfer": {
"source_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"subtype": "autopay_payment"
}
},
"status": "EXECUTED",
"attempt_history": {
"attempts": [
{
"attempted_at": "2024-01-25T14:30:00Z",
"status": "FAILED",
"payment_attributes": {
"ach_id": "6a4b1045-cdd0-82f8-f26c-9e08ce28062f",
"transaction_id": "7b5c2156-dee1-93a9-a37d-0f19df39173a"
},
"reason": "Insufficient funds in payment source account"
}
]
},
"current_amount": 5000,
"executed_amount": 5000,
"payment_attributes": {
"ach_id": "6a4b1045-cdd0-82f8-f26c-9e08ce28062f",
"transaction_id": "7b5c2156-dee1-93a9-a37d-0f19df39173a"
},
"tenant": {
"bank_id": 6,
"partner_id": 6
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List payments
๐ง Beta This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
List payments against lending accounts, spanning both automated (autopay) and one-time/manual payments.
curl --request GET \
--url https://api.synctera.com/v2/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v2/payments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"payments": [
{
"creation_time": "2024-01-15T10:30:00Z",
"description": "Payment",
"effective_date": "2024-01-25",
"id": "2d0f7601-ecc6-48b4-b82f-5d64fa84628b",
"last_updated_time": "2024-01-15T10:30:00Z",
"lending_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"payment_configs": {
"ach": {
"external_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"is_same_day": true,
"sec_code": "WEB"
},
"internal_transfer": {
"source_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"subtype": "autopay_payment"
}
},
"status": "EXECUTED",
"attempt_history": {
"attempts": [
{
"attempted_at": "2024-01-25T14:30:00Z",
"status": "FAILED",
"payment_attributes": {
"ach_id": "6a4b1045-cdd0-82f8-f26c-9e08ce28062f",
"transaction_id": "7b5c2156-dee1-93a9-a37d-0f19df39173a"
},
"reason": "Insufficient funds in payment source account"
}
]
},
"current_amount": 5000,
"executed_amount": 5000,
"payment_attributes": {
"ach_id": "6a4b1045-cdd0-82f8-f26c-9e08ce28062f",
"transaction_id": "7b5c2156-dee1-93a9-a37d-0f19df39173a"
},
"tenant": {
"bank_id": 6,
"partner_id": 6
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Status of the autopay:
- PENDING: Autopay is scheduled and waiting to be executed
- EXECUTED: Autopay was successfully executed
- SKIPPED: Autopay was skipped (e.g., no balance due)
- FAILED: Autopay failed to execute
EXECUTED, FAILED, PENDING, SKIPPED The id of the tenant containing the resource.
Case insensitive wildcard search for rendered_description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
creation_time:asc, creation_time:desc, last_updated_time:asc, last_updated_time:desc, scheduled_date:asc, scheduled_date:desc Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Was this page helpful?

